Bug 188810 - New port: science/sigrok-firmware
Summary: New port: science/sigrok-firmware
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on: 188808 188809
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-19 23:20 UTC by Uffe Jakobsen
Modified: 2014-08-03 22:40 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (1.67 KB, text/plain)
2014-04-19 23:20 UTC, Uffe Jakobsen
no flags Details
sigrok-firmware.shar.txt (1.66 KB, text/plain)
2014-08-03 01:55 UTC, Uffe Jakobsen
no flags Details
sigrok-firmware-20140418.log (9.55 KB, text/x-log)
2014-08-03 01:55 UTC, Uffe Jakobsen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uffe Jakobsen 2014-04-19 23:20:00 UTC
New port: science/sigrok-firmware

Meta port/package for the sigrok-firmware-* ports (more to come)

Fix: Patch attached with submission follows:
Comment 1 Uffe Jakobsen 2014-07-22 20:31:11 UTC
Any news after 3 months ?
Comment 2 John Marino freebsd_committer 2014-07-28 06:33:06 UTC
stage-friend metaport
Comment 3 Uffe Jakobsen 2014-07-30 22:02:03 UTC
Hi,

I'm not really sure what this comment means "stage-friend metaport" ?
Is it something I have to do ?

Thx
Comment 4 John Marino freebsd_committer 2014-07-30 22:16:02 UTC
it's a note for other committers to know that the port has been staged (as opposed to a new port that doesn't support stage, which means it would get rejected)
Comment 5 John Marino freebsd_committer 2014-07-30 22:16:26 UTC
in this case it's a metaport so there's not much to stage.
Comment 6 Uffe Jakobsen 2014-07-30 22:38:39 UTC
Ok thanks for the clarification :-)
I was just in doubt since the status was/is: "In Discussion"
Comment 7 John Marino freebsd_committer 2014-07-30 22:40:59 UTC
strange, I must have skipped updating that. sorry.
Comment 8 John Marino freebsd_committer 2014-07-31 22:30:33 UTC
test logs please (see bug 179854)
Comment 9 Uffe Jakobsen 2014-08-03 01:55:31 UTC
Created attachment 145284 [details]
sigrok-firmware.shar.txt
Comment 10 Uffe Jakobsen 2014-08-03 01:55:51 UTC
Created attachment 145285 [details]
sigrok-firmware-20140418.log
Comment 11 Uffe Jakobsen 2014-08-03 01:56:41 UTC

Web rebuild
---------------------------------------------------------------------

  Build ID:          20140803005341-03688
  Job owner:         uffe
  Buildtime:         30 minutes
  Enddate:           Sun, 03 Aug 2014 01:23:43 GMT

  Revision:          29954
  Repository:        https://redports.org/changeset/29954

---------------------------------------------------------------------

    Port:            science/sigrok-firmware 20140418

      Buildgroup:     10.0-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~uffe/20140803005341-03688-229533/sigrok-firmware-20140418.log

      Buildgroup:     10.0-RELEASE/i386
      Buildstatus:   SUCCESS
      Log: https://redports.org//~uffe/20140803005341-03688-229534/sigrok-firmware-20140418.log

      Buildgroup:     9.2-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~uffe/20140803005341-03688-229535/sigrok-firmware-20140418.log

      Buildgroup:     9.2-RELEASE/i386
      Buildstatus:   SUCCESS
      Log: https://redports.org//~uffe/20140803005341-03688-229536/sigrok-firmware-20140418.log

      Buildgroup:     8.4-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~uffe/20140803005341-03688-229537/sigrok-firmware-20140418.log

      Buildgroup:     8.4-RELEASE/i386
      Buildstatus:   SUCCESS
      Log: https://redports.org//~uffe/20140803005341-03688-229538/sigrok-firmware-20140418.log

Buildarchive URL: <https://redports.org/buildarchive/20140803005341-03688>
redports <https://redports.org/>

...
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
...
Comment 12 John Marino freebsd_committer 2014-08-03 06:25:45 UTC
Perfect!
Comment 13 commit-hook freebsd_committer 2014-08-03 22:38:53 UTC
A commit references this bug:

Author: marino
Date: Sun Aug  3 22:37:52 UTC 2014
New revision: 363954
URL: http://svnweb.freebsd.org/changeset/ports/363954

Log:
  Add new port: science/sigrok-firmware

  PR:		188810
  Submitted by:	uffe

        ===============================================================

  The sigrok project aims at creating a portable, cross-platform,
  Free/Libre/Open-Source signal analysis software suite that supports
  various device types, such as logic analyzers, MSOs, oscilloscopes,
  multimeters, LCR meters, sound level meters, thermometers, hygrometers,
  anemometers, light meters, DAQs, dataloggers, function generators,
  spectrum analyzers, power supplies, GPIB interfaces, and more.

Changes:
  head/science/Makefile
  head/science/sigrok-firmware/
  head/science/sigrok-firmware/Makefile
  head/science/sigrok-firmware/pkg-descr
Comment 14 John Marino freebsd_committer 2014-08-03 22:40:05 UTC
Okay, some functional changes here, mainly use NO_INSTALL instead of "do-install:"

Some cosmetic stuff.
done!